package com.heyu.api.data.entity.vv;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*类目表
* @author quyixiao
* @since 2025-08-24
*/

@Data
@TableName("vv_admin_category")
public class VvAdminCategoryEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.vv.VvAdminCategoryEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                       // 
    public final static String is_delete = CLASS_NAME + "is_delete";          // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";      // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";      // 修改时间
    public final static String parent_id = CLASS_NAME + "parent_id";          // 父亲类目id
    public final static String image_url = CLASS_NAME + "image_url";          // 图片url
    public final static String name_ = CLASS_NAME + "name";                   // 名称
    public final static String level_ = CLASS_NAME + "level";                 // 层级
    public final static String default_sort = CLASS_NAME + "default_sort";    // 排序
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //父亲类目id
    private Long parentId;
    //图片url
    private String imageUrl;
    //名称
    private String name;
    //层级
    private Integer level;
    //排序
    private Integer defaultSort;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 父亲类目id 
     * @return
     */
    public Long getParentId() {
        return parentId;
    }
    /**
     * 父亲类目id 
     * @param parentId
     */
    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    /**
     * 图片url 
     * @return
     */
    public String getImageUrl() {
        return imageUrl;
    }
    /**
     * 图片url 
     * @param imageUrl
     */
    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    /**
     * 名称 
     * @return
     */
    public String getName() {
        return name;
    }
    /**
     * 名称 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 层级 
     * @return
     */
    public Integer getLevel() {
        return level;
    }
    /**
     * 层级 
     * @param level
     */
    public void setLevel(Integer level) {
        this.level = level;
    }

    /**
     * 排序 
     * @return
     */
    public Integer getDefaultSort() {
        return defaultSort;
    }
    /**
     * 排序 
     * @param defaultSort
     */
    public void setDefaultSort(Integer defaultSort) {
        this.defaultSort = defaultSort;
    }

    @Override
    public String toString() {
        return "VvAdminCategoryEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",parentId=" + parentId +
                ",imageUrl=" + imageUrl +
                ",name=" + name +
                ",level=" + level +
                ",defaultSort=" + defaultSort +
                "}";
    }
}